Package oracle.jdbc.aq

## Enum AQEnqueueOptions.DeliveryMode

- java.lang.Object
- - java.lang.Enum<AQEnqueueOptions.DeliveryMode>
  - - oracle.jdbc.aq.AQEnqueueOptions.DeliveryMode

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<AQEnqueueOptions.DeliveryMode>`

Enclosing class:
  AQEnqueueOptions

    public static enum AQEnqueueOptions.DeliveryMode
    extends java.lang.Enum<AQEnqueueOptions.DeliveryMode>

### Enum Constant Summary

Enum Constants
`BUFFERED` The message will be buffered (resides in memory in the server which is faster but less reliable in case of a server crash).
`PERSISTENT` The message is enqueued in a persistent manner (default).

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`int` `getCode()` Implementation detail (for internal use only).
`static AQEnqueueOptions.DeliveryMode` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static AQEnqueueOptions.DeliveryMode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### PERSISTENT

    public static final AQEnqueueOptions.DeliveryMode PERSISTENT

The message is enqueued in a persistent manner (default).

#### BUFFERED

    public static final AQEnqueueOptions.DeliveryMode BUFFERED

The message will be buffered (resides in memory in the server which is faster but less reliable in case of a server crash).

### Method Detail

#### values

    public static AQEnqueueOptions.DeliveryMode[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (AQEnqueueOptions.DeliveryMode c : AQEnqueueOptions.DeliveryMode.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static AQEnqueueOptions.DeliveryMode valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### getCode

    public final int getCode()

Implementation detail (for internal use only).